/*
 * Copyright (c) 2009 Srikalyan Swayampakula.. All rights reserved.
 * 
 *   Author : Srikalyan Swayampakula. .
 *   Name of the File : Param.java .
 *   Created on : Nov 22, 2009 at 4:03:57 PM .
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *  1. Redistributions of source code must retain the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *  3. Neither the name of the University of Georgia nor the names
 *     of its contributors may be used to endorse or promote
 *     products derived from this software without specific prior
 *     written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 *  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 *  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package javax.wadls;

import java.net.URI;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Srikalyan Swayampakula.
 */
public interface Param extends java.io.Serializable
{
	
     
    
    public String getModelreference();
    
    public void setModelreference(String modelreference);

	public String getLiftingschemamapping();

	public void setLiftingschemamapping(String liftingschemamapping) ;
	public String getLoweringschemamapping() ;

	public void setLoweringschemamapping(String loweringschemamapping) ;

	public List<String> getOptionvalue() ;

	public void setOptionvalue(List<String> optionvalue) ;
	
    public String getDefault1();
    public void setDefault1(String default1);



    public String getFixed();

    public void setFixed(String fixed);


    public String getId();
    public void setId(String id);

    public String getName();

    public void setName(String name);
   
    public String getPath();
    public void setPath(String path);
    public boolean isRepeation();
    public void setRepeation(boolean repeation);
    public String getRequired();

    public void setRequired(String required);
    public String getStyle();

    public void setStyle(String style);
    public String getType();

    public void setType(String type);
}
